<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (c) 2017, The Linux Foundation. All rights reserved.

  ~ Not a Contribution.
-->

<!--
  ~ Copyright (C) 2016 The Android Open Source Project
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License
  -->

<!--
This XML file declares which signature|privileged permissions should be
granted to privileged applications on QTI devices.
It allows additional grants on top of privapp-permissions-platform.xml
-->

<permissions>
    <privapp-permissions package="com.quicinc.cne.CNEService">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.PACKET_KEEPALIVE_OFFLOAD"/>
    </privapp-permissions>

    <privapp-permissions package="com.qti.dpmserviceapp">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
    </privapp-permissions>

    <privapp-permissions package="com.qualcomm.qcrilmsgtunnel">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
    </privapp-permissions>

    <privapp-permissions package="org.codeaurora.dialer">
        <permission name="android.permission.ALLOW_ANY_CODEC_FOR_PLAYBACK"/>
        <permission name="android.permission.CONTROL_INCALL_EXPERIENCE"/>
        <permission name="android.permission.GET_ACCOUNTS_PRIVILEGED"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="com.android.voicemail.permission.READ_VOICEMAIL"/>
        <permission name="com.android.voicemail.permission.WRITE_VOICEMAIL"/>
    </privapp-permissions>

    <privapp-permissions package="org.codeaurora.qti.qtiNetworkApp">
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
    </privapp-permissions>

    <privapp-permissions package="org.codeaurora.ims">
        <permission name="android.permission.READ_PRECISE_PHONE_STATE"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.SUBSTITUTE_NOTIFICATION_APP_NAME"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.soundrecorder">
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.CAPTURE_AUDIO_OUTPUT"/>
    </privapp-permissions>

    <privapp-permissions package="com.quicinc.voice.activation">
        <permission name="android.permission.CAPTURE_AUDIO_HOTWORD"/>
        <permission name="android.permission.MANAGE_SOUND_TRIGGER"/>
    </privapp-permissions>

    <privapp-permissions package="com.qualcomm.qti.carrierswitch">
        <permission name="android.permission.REBOOT"/>
    </privapp-permissions>

    <privapp-permissions package="com.qualcomm.wfd.service">
        <permission name="android.permission.READ_FRAME_BUFFER"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.mms">
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.WRITE_APN_SETTINGS"/>
        <permission name="android.permission.CALL_PRIVILEGED"/>
    </privapp-permissions>

    <privapp-permissions package="org.codeaurora.bluetooth.batestapp">
        <permission name="android.permission.BLUETOOTH_PRIVILEGED"/>
        <permission name="android.permission.LOCAL_MAC_ADDRESS"/>
    </privapp-permissions>

    <privapp-permissions package="org.codeaurora.snapcam">
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
    </privapp-permissions>

    <privapp-permissions package="org.codeaurora.gallery">
        <permission name="android.permission.MODIFY_AUDIO_ROUTING"/>
    </privapp-permissions>

    <privapp-permissions package="com.qualcomm.qti.callenhancement">
        <permission name="android.permission.RECORD_AUDIO" />
        <permission name="android.permission.CAPTURE_AUDIO_OUTPUT" />
        <permission name="android.permission.READ_EXTERNAL_STORAGE" />
        <permission name="android.permission.WRITE_EXTERNAL_STORAGE" />
        <permission name="android.permission.READ_BLOCKED_NUMBERS" />
        <permission name="android.permission.VIBRATE" />
    </privapp-permissions>

    <privapp-permissions package="com.qualcomm.qti.cne">
        <permission name="android.permission.MAINLINE_NETWORK_STACK"/>
    </privapp-permissions>

</permissions>
